# Uses of Interface
org.apache.lucene.search.highlight.Scorer

Packages that use Scorer
Package
Description
org.apache.lucene.search.highlight
Highlighting search terms.

- ## Uses of Scorer in org.apache.lucene.search.highlight

  Classes in org.apache.lucene.search.highlight that implement Scorer
  Modifier and Type
  Class
  Description
  `class`
  `QueryScorer`
  `Scorer` implementation which scores text fragments by the number of unique query terms found.
  `class`
  `QueryTermScorer`
  `Scorer` implementation which scores text fragments by the number of unique query terms found.
  Methods in org.apache.lucene.search.highlight that return Scorer
  Modifier and Type
  Method
  Description
  `Scorer`
  Highlighter.`getFragmentScorer()`
  Methods in org.apache.lucene.search.highlight with parameters of type Scorer
  Modifier and Type
  Method
  Description
  `void`
  Highlighter.`setFragmentScorer(Scorer scorer)`
  Constructors in org.apache.lucene.search.highlight with parameters of type Scorer
  Modifier
  Constructor
  Description
  ``
  `Highlighter(Formatter formatter, Encoder encoder, Scorer fragmentScorer)`
  ``
  `Highlighter(Formatter formatter, Scorer fragmentScorer)`
  ``
  `Highlighter(Scorer fragmentScorer)`